import matplotlib.pyplot as plt
import numpy as np


def main():
    n = 8
    h = 4/n
    y = np.zeros((n + 1, 1))
    t = np.zeros((n + 1, 1))
    y[0] = 1
    t[0] = 0
    for i in range(n):
        t[i + 1] = t[i] + h
        y[i + 1] = y[i] + h * y[i]
        print(f'{i+1} {t[i + 1, 0]} {y[i + 1, 0]:6.3f}')
    greska = (y[n, 0]/np.exp(t[n, 0]) - 1) * 100
    print(f'greska = {greska:.3f}%')
    plt.plot(t, y, '--ko')
    plt.plot(t, np.exp(t), '-k')
    plt.show()


main()
