import numpy as np
import matplotlib.pyplot as plt
from rk4 import rk4


def f(t, y):
    return y


def main():
    [t, y] = rk4(f, 0, 4, [1], 8)
    greska = (y[-1, 0]/np.exp(t[-1, 0]) - 1) * 100
    print(f'greska = {greska:.3f}%')
    plt.plot(t, y, '--ko')
    plt.plot(t, np.exp(t), '-k')
    plt.show()


main()
