import matplotlib.pyplot as plt
from rk4 import rk4

R = 1000
C = 100e-6
E = 12


def RC(t, y):
    return (E - y) / (R*C)


def main():
    [t, y] = rk4(RC, 0, 1, [0], 200)
    plt.plot(t, y)
    plt.show()


main()
