import numpy as np


def main():
    z = 0.09 + 1j*0.422
    y = 1j*2.62e-6
    d = 400
    Z = z*d
    Y_polovina = y*d/2
    Zc = np.sqrt(z/y)
    gama = np.sqrt(z*y)
    Zp = Zc*np.sinh(gama*d)
    Yp_polovina = 1/Zc*(np.cosh(gama*d)-1)/np.sinh(gama*d)

    print(f'Z = {Z:.3f} Omi')
    print(f'Y_polovina = {Y_polovina.imag:.6f}j S')
    print(f'Zp = {Zp:.3f} Omi')
    print(f'Yp_polovina = {Yp_polovina:.6f} S')


main()
