import numpy as np
from scipy.sparse import csr_matrix
from scipy.sparse.linalg import spsolve


Y = np.array([
    [1/5 + 1/16 + 1/12, -1/16, -1/12, 0],
    [-1/16, 1/16 + 1/20, -1/20, 0],
    [-1/12, -1/20, 1/12 + 1/16 + 1/20, -1/16],
    [0, 0, -1/16, 1/16]
])

Y = csr_matrix(Y)

A = np.array([0, 0, 0, 1])
Z4 = spsolve(Y, A)
print('Z4 =', Z4)

A = np.array([
    [0, 0],
    [1, 0],
    [0, 0],
    [0, 1]
])
print(A)
Z24 = spsolve(Y, A)
print('Z24 =', Z24)
