import numpy as np


def main():
    Zc = 370
    beta = 0.06/180*np.pi
    d = 800
    x = Zc*beta
    b = x/Zc**2

    print('a)')
    gama = 1j*beta
    k = 1/np.cosh(gama*d)
    print(f'gama = {gama:.6f}')
    print(f'k = {k:.4f}')

    print('b)')
    r = 0.06
    z = r + 1j*x
    y = 1j*b
    gama = np.sqrt(z*y)
    k = 1/np.cosh(gama*d)
    k_modul = np.abs(k)
    print(f'gama = {gama:.6f}')
    print(f'k = {k:.4f}')
    print(f'k_modul = {k_modul:.4f}')


main()
