import matplotlib.pyplot as plt
import numpy as np


def funkcija(l, k):
    beta = 0.06/180*np.pi
    return 1/np.sqrt(np.cos(beta*l)**2 + k**2*np.sin(beta*l)**2)


def main():
    d = 300
    k = np.linspace(0, 2, 9)
    f = [funkcija(d, x) for x in k]
    for x, y in zip(k, f):
        print(f'{x:.2f} {y:.3f}')
    plt.plot(k, f, '-ob')
    plt.show()


main()
